local ShamanWarning = _G.ShamanWarning;
local L = LibStub("AceLocale-3.0"):GetLocale("ShamanWarning");

local trinket_list = {
	[L["Dying Curse"]] = L["Dying Curse"],
	[L["Sundial of the Exiled"]] = L["Now is the time!"],
	[L["Hourglass of the Unraveller"]] = L["Rage of the Unraveller"],
	[L["Scarab of the Infinite Cycle"]] = L["Spell Haste"],
	[L["Shiffar's Nexus-Horn"]] = L["Call of the Nexus"],
	[L["Sonic Booster"]] = L["Sonic Awareness"],
	[L["Forge Ember"]] = L["Forge Ember"],
	[L["Meteorite Whetstone"]] = L["Meteorite Whetstone"],
	[L["Shard of Contempt"]] = L["Disdain"],
	[L["Dragonspine Trophy"]] = L["Dragonspine Flurry"],
	[L["Eye of Magtheridon"]] = L["Recurring Power"],
	[L["Sextant of Unstable Currents"]] = L["Unstable Currents"],
	[L["Tsunami Talisman"]] = L["Fury of the Crashing Waves"],
	[L["Death Knight's Anguish"]] = L["Wracking Pains"],
	[L["Serrah's Star"]] = L["Star of Light"],
	[L["Madness of the Betrayer"]] = L["Forceful Strike"],
	[L["Valonforth's Remembrance"]] = L["Purified Spirit"],
	[L["Blackened Naaru Sliver"]] = L["Battle Trance"],
	[L["Chuchu's Tiny Box of Horrors"]] = L["Tentacles"],
	[L["Crusader's Locket"]] = L["Crusader's Glory"],
	[L["Anvil of Titans"]] = L["Reflection of Torment"],
	[L["Darkmoon Card: Greatness"]] = L["Darkmoon Card: Greatness"],
	[L["Embrace of the Spider"]] = L["Embrace of the Spider"],
	[L["Flow of Knowledge"]] = L["Now is the time!"],
	[L["Mirror of Truth"]] = L["Reflection of Torment"],
	[L["Tears of Bitter Anguish"]] = L["Tears of Anguish"],
	[L["The Egg of Mortal Essence"]] = L["Essence of Life"],
	[L["Grim Toll"]] = L["Grim Toll"],
	[L["Althor's Abacus"]] = L["Echoes of Light"],
	[L["Corpse Tongue Coin"]] = L["Thick Skin"],
	[L["Dislodged Foreign Object"]] = L["Surge of Power"],
	[L["Phylactery of the Nameless Lich"]] = L["Siphoned Power"],
	[L["Purified Lunar Dust"]] = L["Revitalized"],
	[L["Whispering Fanged Skull"]] = L["Icy Rage"],
	-- [L[""]] = L[""],
	[L["Bedrock Talisman"]] = L["Tectonic Shift"],
	[L["Bell of Enraging Resonance"]] = L["Dire Magic"],
	[L["Crushing Weight"]] = L["Race Against Death"],
	[L["Darkmoon Card: Volcano"]] = L["Volcanic Destruction"],
	[L["DONTUSEUnheeded Warning"]] = L["Heedless Carnage"],
	[L["Fall of Mortality"]] = L["Grounded Soul"],
	[L["Fluid Death"]] = L["River of Death"],
	[L["Heart of Rage"]] = L["Rageheart"],
	[L["Hungerer"]] = L["Devour"],
	[L["Mandala of Stirring Patterns"]] = L["Pattern of Light"],
	[L["Gift of the Greatfather"]] = L["Gaze of the Greatfather"],
	[L["Unheeded Warning"]] = L["Heedless Carnage"],
	[L["Theralion's Mirror"]] = L["Revelation"],
	[L["Stump of Time"]] = L["Battle Magic"],
	[L["Prestor's Talisman of Machination"]] = L["Nefarious Plot"],
	[L["Essence of the Cyclone"]] = L["Twisted"],
	-- [L[""]] = L[""],
};

function ShamanWarning:CheckTrinket(trinket_num, test)
	-- Check trinkets
	local trinketLink, trinketName, found;
	if GetInventoryItemLink("player",trinket_num) ~= nil then
		trinketLink = GetInventoryItemLink("player",trinket_num);
		trinketName, _, _, _, _, _, _, _, _, _, _ = GetItemInfo("\""..trinketLink.."\"");
		found = 0;
		-- Get proc
		for k,v in pairs(trinket_list) do
			if trinketName ~= nil and v ~= nil and trinketName == k then
				if trinket_num == 13 then
					ShamanWarning:SetTrinket(1,trinketName,v);
				end;
				if trinket_num == 14 then
					ShamanWarning:SetTrinket(2,trinketName,v);
				end;
				found = 1;
			end;
		end;
		-- Found?
		if found == 0 and test == "SW" then
			if trinket_num == 13 then
				ShamanWarning:Print("First trinket doesnt have proc or is not supported");
			end;
			if trinket_num == 14 then
				ShamanWarning:Print("Second trinket doesnt have proc or is not supported");
			end;
		end;
	end;
end;
